libzypp: zyppng::MemSignal< SignalHost, ReturnType(Arguments...)> Class Template Reference

libzypp 17.38.6

zyppng::MemSignal< SignalHost, ReturnType(Arguments...)> Class Template Reference

`#include <zypp-core/ng/base/signals.h>`

Inheritance diagram for zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>:

## Public Member Functions
| MemSignal (SignalHost &host)
| ~MemSignal ()
template<typename... Args>
auto | emit (Args &&...arg) const
template<typename... Args>
auto | operator() (Args &&...arg) const

## Private Attributes
SignalHost & | _host

## Detailed Description

template<class SignalHost, typename ReturnType, typename... Arguments>
class zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>

Definition at line 211 of file signals.h.

## Constructor & Destructor Documentation

## ◆ MemSignal()

template<class SignalHost, typename ReturnType, typename... Arguments>

zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>::MemSignal | ( | SignalHost & | host | ) |
| inline

Definition at line 214 of file signals.h.

## ◆ ~MemSignal()

template<class SignalHost, typename ReturnType, typename... Arguments>

zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>::~MemSignal | ( |  | ) |
| inline

Definition at line 216 of file signals.h.

## Member Function Documentation

## ◆ emit()

template<class SignalHost, typename ReturnType, typename... Arguments>
template<typename... Args>

auto zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>::emit | ( | Args &&... | arg | ) | const
| inline

Definition at line 234 of file signals.h.

## ◆ operator()()

template<class SignalHost, typename ReturnType, typename... Arguments>
template<typename... Args>

auto zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>::operator() | ( | Args &&... | arg | ) | const
| inline

Definition at line 240 of file signals.h.

## Member Data Documentation

## ◆ _host

template<class SignalHost, typename ReturnType, typename... Arguments>

SignalHost& zyppng::MemSignal< SignalHost, ReturnType(Arguments...)>::_host
| private

Definition at line 246 of file signals.h.

The documentation for this class was generated from the following file:

- zypp-core/ng/base/signals.h